package eu.mhsl.minenet.minigames.instance.game;

import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

public enum GameType {
    OTHER(Material.GRASS_BLOCK, TranslatedComponent.byId("GameType#other"), TranslatedComponent.byId("GameType#other_description")),
    PVP(Material.DIAMOND_SWORD, TranslatedComponent.byId("GameType#pvp"), TranslatedComponent.byId("GameType#pvp_description")),
    PVE(Material.DIAMOND_PICKAXE, TranslatedComponent.byId("GameType#pve"), TranslatedComponent.byId("GameType#pve_description")),
    JUMPNRUN(Material.DIAMOND_BOOTS, TranslatedComponent.byId("GameType#jumpnrun"), TranslatedComponent.byId("GameType#jumpnrun_description")),
    PROTOTYPE(Material.COMMAND_BLOCK, TranslatedComponent.byId("GameType#prototype"), TranslatedComponent.byId("GameType#prototype_description"));


    final Material icon;
    final TranslatedComponent title;
    final TranslatedComponent description;

    GameType(Material icon, TranslatedComponent title, TranslatedComponent description) {
        this.title = title;
        this.description = description;
        this.icon = icon;
    }

    public Material getIcon() {
        return icon;
    }

    public TranslatedComponent getTitle() {
        return title;
    }

    public TranslatedComponent getDescription() {
        return description;
    }


}
